%define gtk2binaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)
%define gtk3binaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-3.0); then pkg-config --variable=gtk_binary_version gtk+-3.0; else echo 0; fi)

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Xfce GTK+ theme engine with various different themes
Name:		gtk-xfce-engine
Version:	3.0.1
Release:	%mkrel 4
License:	GPLv3
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
Requires:	gtk2-xfce-engine >= %{version}-%{release}
Requires:	gtk3-xfce-engine >= %{version}-%{release}

%description
This package provides the Xfce GTK+-2.0 and GTK+-3.0 engines, which allows
for homogeneity in applications for both business and personal desktops.

%package -n gtk2-xfce-engine
Summary:	Xfce GTK 2.x theme engine
Group:		Graphical desktop/Xfce
Obsoletes:	gtk-xfce-engine < 2.99.0

%description -n gtk2-xfce-engine
This package contains the Xfce engine for GTK 2.x and several themes.

%package -n gtk3-xfce-engine
Summary:        Xfce GTK 3.x theme engine
Group:	        Graphical desktop/Xfce

%description -n gtk3-xfce-engine
This package contains the Xfce engine for GTK 3.x and several themes.

%prep
%setup -q

%build
%configure2_5x \
	--enable-gtk2 \
	--enable-gtk3 \
	--disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS ChangeLog NEWS README

%files -n gtk2-xfce-engine
%{_libdir}/gtk-2.0/%{gtk2binaryver}/engines/libxfce.so
%{_datadir}/themes/Xfce*/gtk-2.0/gtkrc

%files -n gtk3-xfce-engine
%{_libdir}/gtk-3.0/%{gtk3binaryver}/theming-engines/libxfce.so
%{_datadir}/themes/Xfce*/gtk-3.0/gtk.css


%changelog
* Thu Dec 12 2013 wally <wally> 3.0.1-4.mga4
+ Revision: 556469
- drop old conflicts

* Fri Oct 18 2013 umeabot <umeabot> 3.0.1-3.mga4
+ Revision: 505309
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 352875
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 wally <wally> 3.0.1-1.mga3
+ Revision: 290476
- new version 3.0.1

* Mon May 28 2012 wally <wally> 3.0.0-1.mga3
+ Revision: 248508
- new version 3.0.0
- add meta pkg to install both gtk2 and gtk3 versions
- clean .spec

* Mon Feb 13 2012 wally <wally> 2.99.1-1.mga2
+ Revision: 208435
- new version 2.99.1

* Sun Dec 18 2011 wally <wally> 2.99.0-1.mga2
+ Revision: 183730
- new version 2.99.0
- enable GTK3 support
- fix summaries/descriptions

* Wed Sep 28 2011 wally <wally> 2.9.0-1.mga2
+ Revision: 150014
- new version 2.9.0
- clean .spec a bit

* Thu Jun 30 2011 ahmad <ahmad> 2.8.1-1.mga2
+ Revision: 117025
- Update to 2.8.1

* Fri Feb 18 2011 ahmad <ahmad> 2.8.0-1.mga1
+ Revision: 53856
- update the URL
- don't ship .a, .la
- update to 2.8.0
- imported package gtk-xfce-engine


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.0-2mdv2011.0
+ Revision: 619284
- the mass rebuild of 2010.0 packages

* Sat May 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.0-1mdv2010.0
+ Revision: 376463
- add spec and source files
- create gtk-xfce-engine

